class CreateITasks < ActiveRecord::Migration[6.0]
  def change
    create_table :i_tasks do |t|
      t.references :i_task_project, index: true, foreign_key: true
      t.string :name
      t.text :descritpion
      t.date :end_at
      t.integer :image_file_id
      t.boolean :done, :default => false
      t.integer :minutes
      t.references :admin, index: true, foreign_key: true
      t.date :done_at
      t.boolean :urgent, :default => false
      t.integer :i_previ_id
      t.integer :i_task_type_id
      t.boolean :from_customer, :default => false
      t.integer :i_task_bill_state_id
      
      

      t.timestamps null: false
    end
  end
end
